import React from 'react';
import { querybuilderSlice, schemaSlice, setQuerybuilderGraph, searchResultSlice } from '@graphpolaris/shared/lib/data-access/store';

import { configureStore } from '@reduxjs/toolkit';
import { Meta } from '@storybook/react';
import { Provider } from 'react-redux';
import { QueryBuilder } from '../../../panel';
import { QueryElementTypes, QueryMultiGraphology } from '../../../model';

const Component: Meta<typeof QueryBuilder> = {
  component: QueryBuilder,
  title: 'Querybuilder/Pills/relationPill',
  decorators: [(story) => <Provider store={mockStore}>{story()}</Provider>],
};

// Mock palette store
const mockStore = configureStore({
  reducer: {
    querybuilder: querybuilderSlice.reducer,
    schema: schemaSlice.reducer,
    searchResults: searchResultSlice.reducer,
  },
});
const graph = new QueryMultiGraphology();
graph.addPill2Graphology({
  id: '2',
  type: QueryElementTypes.Relation,
  x: 140,
  y: 140,
  name: 'Relation Pill',
  depth: { min: 0, max: 1 },
});
console.log(graph.export());

mockStore.dispatch(setQuerybuilderGraph(graph.export()));

export const Flow = {
  args: {},
};

export default Component;
